/* CYBER PUNK è un'avventura testuale sviluppata per scopi didattici.         */
/* Il codice che segue è di proprietà dell'autore, rilasciato a RMW           */
/* ed al pubblico con licenza: Attribuzione - Non commerciale -               */
/* Condividi allo stesso modo 4.0 Internazionale (CC BY-NC-SA 4.0 INT)        */
/* https://creativecommons.org/licenses/bync-sa/4.0/deed.it                   */
/* Sei libero,nei limiti della licenza, di modificarlo e ridistribuirlo,      */
/* ma NON per fini commerciali.                                               */
/* Dal momento che non è stato pensato per motivi commerciali le fasi         */
/* di beta e quality testing sono state limitate. E' quindi possibile che     */
/* contenga alcuni bug, che non dovrebbero comunque alterare l'esperienza     */
/* di gioco. L'autore è sempre disponibile, tramite la redazione              */
/* di RMW, a contribuire alla loro risoluzione.                               */
/* BUON DIVERTIMENTO! */

/*====================================================*/
/*                 CYBER PUNK                         */
/*    ispirato al mondo creato da William Gibson      */
/*              02 Novembre 2010                      */
/*====================================================*/
/*----------------------------------------------------*/
/*       CYBER PUNK        versione 1.0               */
/*  by luke electronics   AKA g0blin - (c) 2010-2011  */
/*      ultimo update: 25 Maggio 2011                 */
/*----------------------------------------------------*/
/*               CODE   HISTORY                       */
/* 22 mag 2011:                                       */
/* - gioco completato. (v1.0)                         */
/* - inizio quality testing                           */
/* 12 mag 2011:                                       */
/* - inizio beta testing                              */
/* 02 mag 2011:                                       */
/* - modifica struttura variabili oggetti da array a  */
/*   matrice bidimensionale. vedi nota interna (v0.6) */
/* 20 apr 2011:                                       */
/* - inizio alpha testing                             */
/* 19 apr 2011:                                       */
/* - versione 0.5                                     */
/* 18 apr 2011:                                       */
/* - mappa di gioco completata                        */
/* 13 apr 2011:                                       */
/* - completata mappa del gioco tranne NETXXIII       */
/* - migliorata routine di debug                      */
/* 05 nov 2010:                                       */
/* - inserita routine di debug (da migliorare)        */
/* 02 nov 2010                                        */
/* - prima stesura: versione 0.1                      */
/*----------------------------------------------------*/

/*===================== GAME INIT =======================*/

do until (risposta='NO' | risposta='N')

  call Livelli()          /* imposta descrizione livelli */
  call Variabili()        /* inizializza variabili di gioco */
  call Titoli()           /* routine di presentazione */
  call Istruzioni()       /* visualizza le istruzioni di gioco */
  call Scenario(Pos)      /* stampa situazione e posizione */
  options prompt ">"

/* inizia main routine */

do until (frase='QUIT')
  say
  richiesta=random(1,4,time("E")*100)  /* tra 1 e 4 compresi */
  say prompt.richiesta
  pull frase
  call Parser(frase)
  select
        when verbo='VAI' then call Vai(nome, Pos)
        when verbo='GUARDA' then call Guarda()
        when verbo='PRENDI' then call Prendi(nome)
        when verbo='ESAMINA' then call Esamina(nome)
        when verbo='USA' then call Usa(nome)
        when verbo='LISTA' then call Lista()
        when verbo='VOC' then call Vocabolario()
        when verbo='DEBUG' then call Debug()
        when verbo='VAR' then call Var(nome)
        when verbo='QUIT' then nop
        otherwise say 'non so che significa ' || verbo
  end
  call GameProgress()
  if quest1=0 | quest2=0 then call SideQuest()
  if ~tesoro_trovato then numero_mosse=numero_mosse+1
end

  say 'un''altra partita?'
  pull risposta
end
/* fine main routine */

say cancella
say 'grazie per aver giocato'
say
say 'hai fatto ' numero_mosse 'mosse'; say
do j=1 to 7
  totale=totale+punteggio.j
end
say 'il tuo punteggio e'':' totale; say
if tesoro_trovato~=1 then say '....ma non hai risolto il rebus del BlipVert Project!'
call Sleep()
call Crediti()
exit

/*========================= GAME FINISHED =======================*/

/*---------------------------------------*/
/*         Inizializza variabili         */
/*---------------------------------------*/
Variabili: 
/* richiede un input */
 prompt.1='aspetto un ordine'       
 prompt.2='prossima mossa?'
 prompt.3='dimmi che vuoi fare'
 prompt.4='cosa fai?'

/* sequenze di 'escape' per cancellare lo schermo */
cancella = d2c(27) || "[0;0H" || d2c(27) || "[J"

/* prepara matrice. 1=esiste stanza */
matrice.=1
matrice.1.1=0
matrice.1.5=0
matrice.1.8=0
matrice.3.5=0
matrice.5.1=0
matrice.6.1=0
matrice.7.1=0

/* sezione oggetti */
og_nome.1=deck
og_nome.2=dialer
og_nome.3=interfaccia_neurale
og_nome.4=flatline
og_nome.5=crediti
og_nome.6=ticket
og_nome.7=pannello   /* non lo posso prendere ma serve per controllo situazione */
og_nome.8=dischetto
og_nome.9=giornale
og_nome.10=targhetta
og_nome.11=elenco_telefonico
og_nome.12=scheda_wi_fi
og_nome.13=terminale /* non lo posso prendere ma serve per controllo situazione */

/* per il momento nessun oggetto... */
og_num.=0

/* ...a parte crediti e pawn ticket */
/* data la crescente complessita' del gioco, og_num non e' piu' un array ma una matrice */
/* dove, se og_nome.1=deck allora: og_num.1.1=1 significa "deck preso"                  */
/*                                 og_num.1.2=1 significa "deck esaminato"              */
/*                                 og_num.1.3=1 significa "deck usato"                  */
og_num.5.1=1
og_num.6.1=1

/* azzero punteggi */
tesoro_trovato=0
numero_mosse=0
punteggio.=0
totale=0
quest1=0
quest2=0

/* Nuovo sistema di calcolo punteggio: */
/* Risoluzione enigmi: 45 punti        */
/* Side quests:        20 punti        */
/* Tesoro trovato:     35 punti        */
/* Arresto:           -20 punti        */
/* Max 100 punti:                      */
/* - abilitazione cyberspace -> 15     */
/* - 3 hacking x 10     -> 30          */
/* - 2 side quests x 10 -> 20          */
/* - tesoro trovato     -> 35          */
/* convertire arresto in crediti anziche' punti e se c=0 allora game over? */

/* precondizioni per avanzamento nel gioco e side quests */
regeneration=0
hack_1_disp=0
hack_2_disp=0
hack_3_disp=0
first_attack=0
second_attack=0
third_attack=0
Body_Bank=0
residential1=0
residential2=0

/* inizializza posizione - locazione num.25 */
x=4; y=1

/* limiti matrice */
maxrow=7; maxcol=8

/* da posizione vettoriale a posizione scalare */
Pos=(x-1)*maxcol+y

/* attiva dialoghi */
parla=1

/* azzera parole e frase: parser sintattico dialoghi */
parola.=''
frase=''

/* sintassi verbo+nome. es: vai nord */
verbo=''; nome=''
return

/*---------------------------------------*/
/* Routine Titoli - Inizio del Programma */
/*---------------------------------------*/
Titoli:
  say cancella
  say '            C Y B E R P U N K - v1.0'; say
  say 'by luke electronics - AKA g0blin - (c) 2010 - 2011'
  say; say; say
  say 'Premi un tasto'
  pull  
return

/*----------------------------------------*/
/*   Routine crediti - Fine programma     */
/*----------------------------------------*/
Crediti:
  say cancella
  say '       C Y B E R P U N K'
  say '=============================='; say 
  say 'Una avventura testuale ispirata da:'; say
  say 'Neuromante: romanzo di William Gibson'; say
  say 'Max Headroom: show televisivo anni ''80'; say
  say 'Ghost in the shell: manga di Masamune Shirow'; say 
  say 'Storia dei computer AMIGA'; say
  say 'Storia della microinformatica degli anni ''80'; say 
  say '==============================='
  say; say 'Tutti i diritti rimangono dei rispettivi autori.'
return

/*---------------------------------------*/
/*         Routine Istruzioni            */
/*---------------------------------------*/
Istruzioni:
  cancella = d2c(27) || "[0;0H" || d2c(27) || "[J"
  say cancella
  say '**ISTRUZIONI**'
  say ''
  say 'Questo gioco e'' ispirato alle vecchie avventure testuali dei bei tempi andati.'
  say
  say 'L''obiettivo del gioco e'': arrivare a hackerare l''emittente NETWORK 23 e scoprire'
  say 'cosa si nasconde dietro al "BlipVert Project"'
  say ''
  say 'Impersoni Henry Case, ex-hacker ora impossibilitato ad entrare nel cyberspazio a causa di un danno neurale.'
  say 'Per muoverti o prendere un oggetto usa frasi nella forma "verbo+nome", ad esempio "prendi deck".'
  say 'Non importa come digiti i comandi (minuscolo e maiuscolo non fa differenza), sempreche'' essi siano'
  say 'sintatticamente corretti. Ricorda comunque che le parole riportate in maiuscolo all''interno del'
  say 'testo sono dei suggerimenti per proseguire nel gioco.'
  say 'Es: "sul tavolo vedi una CHIAVE, a sud una finestra, a NORD una porta" significa che e'' possibile'
  say 'prendere la CHIAVE e varcare la porta a NORD, mentre la finestra a sud non e'' una destinazione'
  say 'raggiungibile.'
  say
  say 'Al momento le azioni possibili sono: VAI (nord, sud etc), USA, PRENDI, GUARDA, ESAMINA e LISTA.'
  say 'Digita ''VOC'' (vocabolario) se non ricordi l''elenco dei comandi.'
  say 'Digita ''QUIT'' in qualsiasi momento per terminare il gioco.'
  say
  say 'Premi un tasto per continuare'
  pull
  say cancella
return

/*-------------------------------*/
/* Stampa posizione e situazione */
/*-------------------------------*/
Scenario:
say
do i=1 to 6
  if Situazione.i.Pos~='' then say Situazione.i.Pos
end
return

/*-------------------------*/
/* Parser sintattico       */
/*-------------------------*/
Parser:
if words(frase)=1 then 
  select
     when frase='GUARDA' then do
                                verbo='GUARDA'; nome=''
                               end
     when frase='LISTA' then do
                              verbo='LISTA'; nome=''
                             end
     when frase='QUIT' then do
                             verbo='QUIT'; nome=''
                            end
     when frase='VOC' then do
                            verbo='VOC'; nome=''
                           end
     when frase='VAI' then do
                              say"Dove devo andare?"; nome=''
                             end
    when frase='DEBUG' then do
                              verbo='DEBUG'; nome=''
                             end
     otherwise 
            say"Non capisco. Riprova."
  end
if words(frase)=2 then do
    verbo=left(frase,index(frase,' ')-1)
    nome=right(frase,length(frase)-index(frase,' '))
end
return

/*-------------------------*/
/*       VAI               */
/*-------------------------*/
Vai:
if find(Situazione.7.Pos,nome)>0 then say'Non puoi andare a ' || nome
else do
  select
      when nome='NORD' then x=x-1
      when nome='SUD'  then x=x+1
      when nome='EST'  then y=y+1
      when nome='OVEST' then y=y-1
      when nome='UP' then x=x-1
      when nome='DOWN' then x=x+1
      otherwise say "non capisco. riprova"; say; return
  end
  Pos=(x-1)*maxcol+y
  call Scenario(Pos)
  select
      when Pos=6 then residential1=1
      when Pos=7 then residential2=1
      when Pos=45 then regeneration=1
      otherwise nop
  end
  end
return

/*-------------------------*/
/*     GUARDA              */
/*-------------------------*/
Guarda:
  call Scenario(Pos)
  say
return

/*-------------------------*/
/*     PRENDI              */
/*-------------------------*/
Prendi:
if Pos=9 & nome='GIORNALE' then do
                                og_num.9.1=1
                                say "preso!"
                                Situazione.6.9='' 
                               end
if Pos~=9 & nome='GIORNALE' then say 'Qui non c''e'' nessun GIORNALE che puo'' essere preso.'
if Pos=2 & nome='DIALER' then do
                              og_num.2.1=1
                              say "preso!"
                              Situazione.6.2=''
                             end
if Pos~=2 & nome='DIALER' then say 'Qui non c''e'' nessun DIALER.'
if Pos=4 & nome='TARGHETTA' then do
                                og_num.10.1=1
                                say "presa!"
                                Situazione.6.4='' 
                               end
if Pos~=4 & nome='TARGHETTA' then say 'Non vedi nessuna TARGHETTA.'
if Pos=22 & nome='FLATLINE' then do
                                og_num.4.1=1
                                say "preso!"
                                Situazione.6.22='' 
                               end
if Pos~=22 & nome='FLATLINE' then say 'Qui non c''e''.'
if Pos=34 & nome='DECK' then do
                                og_num.1.1=1
                                say 'Visto che avevi il ticket con te, Shin ti rida'' il deck, ma non'
                                say 'prima di averti "prelevato" 50 crediti!!'
                                og_num.5.1=0
                                og_num.6.1=0
                                Situazione.6.34='' 
                               end
if Pos~=34 & nome='DECK' & og_num.1.1=0 then say 'Un biglietto che hai in tasca ti dice che il DECK e'' da Shin.'
if Pos=42 & nome='DISCHETTO' then do
                              og_num.8.1=1
                              say "preso!"
                              Situazione.6.42=''
                             end
if (Pos~=42 & nome='DISCHETTO') then say 'Non vedo nessun DISCHETTO.'
if Pos=47 & nome='INTERFACCIA' then do
                                og_num.3.1=1
                                say "presa!"
                                Situazione.6.47=''
                               end
if (Pos~=47 & nome='INTERFACCIA') then say 'Non ne vedo nessuna.'
if Pos=56 & nome='ELENCO' then do
                                og_num.11.1=1
                                say "preso!"
                                Situazione.6.56='Sulla scrivania vedi un accesso per il tuo DIALER.'
                               end
if (Pos~=56 & nome='ELENCO') then say 'Non so a quale ELENCO tu ti riferisca.'
if Pos=48 & nome='SCHEDA' & third_attack then do
                                og_num.12.1=1
                                say "presa!"
                                Situazione.6.48='La cassetta di sicurezza e'' ora aperta e vuota.'
                               end
if (Pos~=48 & nome='SCHEDA') then say 'Non vedo nessuna SCHEDA.'
if Pos=29 & nome='PANNELLO' then say 'Non puoi prendere il pannello!'
if (Pos=39 | Pos=44 | Pos=32 | Pos=40) & nome='JACK' then say 'Non puoi prendere il jack.'
if Pos=28 & nome='TERMINALE' then say 'Non puoi prendere il terminale.'
return

/*-------------------------*/
/*     ESAMINA             */
/*-------------------------*/
Esamina:
select
   when nome='CREDITI' & og_num.5.1 then say 'Sono 50 crediti necessari per recuperare il tuo DECK.' 
   when nome='TICKET' & og_num.6.1 then say 'E'' un biglietto del Banco Pegni di Shin.'
   when nome='SPAZZATURA' & (Pos=17 | Pos=9 | Pos=3) then say 'E'' solo spazzatura.'
   when nome='BIDONI' & Pos=17 then say 'Normali bidoni colmi di schifosa, maleodorante spazzatura.'
   when nome='TARGHETTA' & og_num.10.1 then 
      do
        say 'La targhetta dice:"Edison Carter - reporter".'
        Body_Bank=1
      end
   when nome='DECK' & og_num.1.1 then 
      do 
        say 'E'' il tuo buon vecchio cyberspace deck Ono-Sendai UXB 7000. Con questo puoi collegarti ad un JACK.'
        og_num.1.2=1
        if regeneration=0 then say 'Ma non sei ancora pronto.'
      end
   when nome='INTERFACCIA' & og_num.3.1 then
     do
       say 'E'' un nuovo tipo di interfaccia neurale per la connessione al cyberspace 3D.'
       og_num.3.2=1
       if first_attack=0 then say 'Ma non sei ancora pronto.'
     end
   when nome='PANNELLO' then if Pos=29 then
     do
       say cancella
       og_num.7.1=1 /* non e' previsto "prendere" il pannello, quindi abilito l'operazione in questa routine */
       say 'RAPPORTO SUI CASI NEI SETTORI RESIDENZIALI'
       say 'RESIDENTIAL 1: rinvenuto cadavere con la testa esplosa. TV accesa su Network XXIII.'
       say 'RESIDENTIAL 2: rinvenuta gente catatonica davanti alla TV accesa su Network XXIII.'
       say 'Il segnale dell''emittente e'' tuttora sottoposto ad analisi dei nostri esperti.'
       say 'Le voci sul "BlipVert Project" sembrano trovare conferma.'
       say 'FINE RAPPORTO'
       og_num.7.2=1
       Situazione.6.29=''
     end
       else say 'Qui non c''e'' nessun pannello.'
   when nome='GIORNALE' & og_num.9.1 then
     do
       say cancella
       say 'SCOMPARSO REPORTER INDIPENDENTE'
       say 'Edison Carter, reporter indipendente di New_Sat_TV, e'' scomparso mentre stava investigando'
       say 'su alcuni casi correlati, si sospetta, all''emittente della multinazionale Network XXIII.'
       say 'Secondo voci non confermate, un messaggio subliminale nascosto nel segnale portante della TV'
       say 'provocherebbe dipendenza e gravi danni per la salute.'
       say 'Il reporter manca all''appello da alcuni giorni.'
       og_num.9.2=1
     end
   when nome='DIALER' & og_num.2.1  then say 'E'' un software usato per scoprire i numeri di telefono dei server.'
   when nome='FLATLINE' & og_num.4.1 then
     do
       say 'E'' la mente digitalizzata di uno dei piu'' grandi hackers mai esistiti. Il box contiene anche'
       say 'tutto il software da lui usato. Potrebbe potenziare il tuo DECK.'
     end
   when nome='DISCHETTO' & og_num.8.1 then do 
                                         say'Contiene tutti i programmi di Hacking di Livello 1. Puo'' tornare utile.'
                                         og_num.8.2=1
                                      end
   when nome='JACK' & (Pos=39 | Pos=44 | Pos=32 | Pos=40) then say 'E'' un jack di connessione standard. USAlo per entrare nel cyberspace.'
   when nome='TERMINALE' & Pos=28 then do 
                                         say 'E'' il terminale di emergenza della polizia. Meglio lasciar stare.'
                                         og_num.11.2=1
                                       end
   when nome='ELENCO' & og_num.11.1 then say 'E'' un elenco telefonico interno. Forse include anche i numeri dei server.'
   when nome='SCHEDA' & og_num.12.1 then do 
                     say 'E'' una scheda strana scheda wi-fi con un chip aggiuntivo rispetto allo standard.'
                     say 'Forse sulla scheda sono stati cablati dei codici di accesso.'
                     og_num.12.2=1
                   end
   when nome='ACCESSO' & Pos=56 then say 'E'' un accesso telefonico standard. Potresti USAre il DIALER.'
   otherwise say "Non hai questo oggetto con te"; say; return
end
return

/*-------------------------*/
/*       USA               */
/*-------------------------*/
Usa:
if nome='JACK' then call Combat(Pos)
/* dunkin donuts */
if Pos=28 & nome='TERMINALE' then do
                                    say 'I due polizziotti si avvicinano a te e ti arrestano per accesso abusivo'
                                    say 'a sistema informatico.'
                                    if og_num.11.1=1 then say 'Ti avevo detto di non toccare!'
                                    say
                                    say 'Dopo una notte passata in cella ti ritrovi di nuovo allo Chatsubo.'
                                    x=4; y=1
                                    totale=totale-20
                                  end
else if (nome='TERMINALE' & Pos~=28) then say 'Qui non c''e'' nessun terminale.'

/* cheap hotel */
if nome='DISCHETTO' & og_num.8.1 & og_num.1.1 then do
                                          say
                                          say 'Hai inserito il dischetto nel deck e caricato il software.'
                                          og_num.8.3=1
                                        end
else do
      if (nome='DISCHETTO' & og_num.8.1=0) then say 'Non hai il DISCHETTO con te.'
      if (nome='DISCHETTO' & og_num.8.1 & og_num.1.1=0) then say 'Non hai un DECK in cui caricarlo.'
     end 

if nome='ACCESSO' & Pos=56 then say 'Non puoi farlo cosi''! Devi usare un DIALER.'
/* wherever */
if nome='FLATLINE' & og_num.4.1 & og_num.1.1 then do
                                          say
                                          say 'Hai collegato il FLATLINE al DECK.'
                                          og_num.4.3=1
                                        end
else do
      if (nome='FLATLINE' & og_num.4.1=0) then say 'Non hai il FLATLINE con te.'
      if (nome='FLATLINE' & og_num.1.1=0) then say 'Non hai il DECK con te.'
     end 

if nome='DECK' & og_num.1.1 then say 'Il DECK non puo'' essere usato direttamente. Devi trovare un JACK.'
if nome='DECK' & og_num.1.1=0 then say 'Non hai questo oggetto con te.'

if nome='GIORNALE' & og_num.9.1 then say 'Non so come ...' 
if nome='GIORNALE' & og_num.9.1=0 then say 'Non hai questo oggetto con te.'

if nome='TARGHETTA' & og_num.10.1 then say 'Io non sono lui!' else if og_num.10.1=0 then say 'Quale targhetta?'

if nome='PANNELLO' & Pos=29 then say 'Non so come usare il PANNELLO.' else if Pos~=29 then say 'Non vedo pannelli.' 

if nome='ELENCO' & og_num.11.1 & og_num.2.1 then do
                                 say 'Hai caricato tutti i numeri di telefono nel war DIALER.'
                                 og_num.2.3=1
                                 og_num.11.3=1
                                 say 'Ora puoi usarlo.'
                              end

if nome='DIALER' & og_num.2.1 & og_num.11.3 & Pos=56 then do
                                 say 'Scansione numeri interni completata. Sono stati rilevati server al Terzo Piano.'
                                 Situazione.6.40='Guardando meglio, noti che un pannello e'' ora aperto.Dall''interno esce un JACK.'
                                 say 'L''accesso al server e'' ora consentito.'
                                 hack_3_disp=1
                               end

if nome='INTERFACCIA' & og_num.3.1 & og_num.1.1 then do
                                          say
                                          say 'Hai collegato L''INTERFACCIA al DECK.'
                                          og_num.3.3=1
                                       end
else do
      if (nome='INTERFACCIA' & og_num.3.1=0) then say 'Non hai l''INTERFACCIA con te.'
      if (nome='INTERFACCIA' & og_num.1.1=0) then say 'Non hai il DECK con te.'
     end 

if nome='SCHEDA' & og_num.12.1 then do
                                   og_num.12.3=1
                                 end
return

/*-------------------------*/
/*   COMBAT (hacking)      */
/*-------------------------*/
Combat:
select
   when Pos=44 & hack_1_disp then do          /* Amiga R&D */
                say cancella
                say 'Inizio Hacking di Primo Livello'
                call Sleep()
                say
                say 'Accesso al CyberSpace. Violazione in corso ....'
                say 'Trovati dati su: BLIPVERT PROJECT'
                say 'Gli esperimenti effettuati da questa divisione Ricerca e Sviluppo confermano la'
                say 'risposta positiva dell''individuo ai segnali subliminali. Nascondendo la foto di un'
                say 'prodotto all''interno di un filmato, il soggetto provera'' un forte impulso di procurarselo.'
                say 'Abbiamo la tecnologia per comprimere il messaggio lungo tutto il segnale portante della TV'
                say 'per mandare un messaggio subliminale continuo.'
                say '================================================'
                say 'Hacking terminato. Uscita dal CyberSpace effettuata.'
                first_attack=1
          end
   when Pos=39 & hack_2_disp then do          /* Cray Computing  */
                say cancella
                say 'Inizio Hacking di Secondo Livello'
                call Sleep()
                say
                say 'Accesso al CyberSpace 3D. Violazione in corso ....'
                say 'Trovati dati su: BLIPVERT PROJECT'
                say 'Abbiamo verificato i risultati ottenuti da Amiga R&D e sono sensazionali.'
                say 'Sono riusciti a comprimere 30 secondi di pubblicita'' in soli 3 secondi di proiezione.'
                say 'In pratica, durante un break di 3 secondi, vengono pubblicizzati 10 prodotti diversi.'
                say 'Abbiamo pero'' forti dubbi sulla salute dei soggetti esposti che lamentano un sovraccarico'
                say 'neurale in grado di provocare danni irreparabili. Stiamo ancora investigando.'
                say '===================================================' 
                say 'Hacking terminato. Uscita dal CyberSpace 3D effettuata.'
                second_attack=1
          end
   when Pos=40 & hack_3_disp then do          /* NetworK XXIII - 3° Piano */
                say cancella
                say 'Inizio Hacking di Terzo Livello'
                call Sleep()
                say
                say 'Accesso al CyberSpace. Violazione in corso ....'
                say 'Trovati dati su: BLIPVERT PROJECT'
                say 'Il BlipVert Project e'' un successo. Grazie alla fusione delle tecnologie Amiga e Cray'
                say 'stiamo ottenendo risultati eccezionali. Il nostro Share TV sta sbaragliando la concorrenza.'
                say 'I prodotti da noi pubblicizzati sono alle stelle. Diventeremo ricchissimi. Abbastanza anche'
                say 'da insabbiare lo scandalo delle morti sospette. Lo faremo passare per una montatura....'
                say '========================================================'
                say 'Hacking terminato. Uscita dal CyberSpace effettuata.'
                Situazione.6.48='Noti che una cassetta di sicurezza e'' ora aperta. Al suo interno c''e'' una SCHEDA wi-fi.' 
                say 'Senti un rumore metallico provenire dal piano di sotto.'
                third_attack=1
          end
   when Pos=32 then do                      /* Network XXII - 4° Piano */
                say cancella
                say 'Inizio Hacking di Quarto Livello'
                call Sleep()
                say
                say 'Accesso al CyberSpace. Violazione in corso ....'
                say 'Trovati dati su: BLIPVERT PROJECT'
                say 'Committente progetto: Lord Ashpool.'
                say 'Indirizzo attuale sconosciuto (si sospetta viva sulla stazione orbitante "Straylight").'
                say 'Morti registrate riconducibili a BlipVert: 27.'
                say 'Morti sospette riconducibili a BlipVert: 61.'
                say 'Status del progetto: IN CORSO .........'
                say '======================================================='
                say 'Hacking terminato. Uscita dal CyberSpace effettuata.'
                Pos=8
                call Scenario(Pos)
                Pos=32
                tesoro_trovato=1
                punteggio.7=35
          end
   otherwise say 'Non sei ancora pronto.'
end
return


/*-------------------------*/
/*   Routine di pausa      */
/*-------------------------*/
Sleep:
/* pausa di gioco di circa 1,4 secondi */
  call time('r')           /* resetta timer interno */
  do i=1 to 100000         /* aspetta un po' */
    if time('e')>1 then i=100000
  end
return

/*-------------------------*/
/*     LISTA OGGETTI       */
/*-------------------------*/
Lista: procedure expose og_num. og_nome.
say"hai con te:"
z=0
do i=1 to 12  /* l'undicesimo oggetto non e' trasportabile: terminale */
  if og_num.i.1 then do
                     say og_nome.i
                     z=z+1
                    end
end
if z=0 then say"proprio niente!...."
say
return

/*-------------------------*/
/*       VOCABOLARIO       */
/*-------------------------*/
Vocabolario:
say 'Le azioni possibili sono: VAI (nord, sud, est, ovest, up, down), PRENDI, USA, ESAMINA, GUARDA,'
say 'LISTA ed ovviamente VOC.'
return

/*-------------------------*/
/*     ROUTINE DI DEBUG    */
/*-------------------------*/
/* verificare controllo su locazione. Le coordinate di debug vengono accettate     */
/* solo se matrice.x.y e' diversa da zero (cioe' la stanza esiste) e sempreche'    */
/* non si eccedano i limiti di matrice. poiche' x e y potrebbero gia' essere state */
/* assegnate, uso variabili di transito */
Debug:
say 'Entering DEBUG mode:'
/* richiede numero di riga e di colonna (e che sia un numero!) */
/* N sta' per Numeric; 0 e' falso */
  do while (datatype(a,"N")=0) | a<1 | a>maxrow 
      say 'Inserisci il numero di riga della locazione:'
      pull a
  end
  do while (datatype(b,"N")=0) | b<1 | b>maxcol
    say 'Inserisci il numero di colonna della locazione:'
    pull b
  end
  if matrice.a.b=0 then do 
                         say 'La stanza non esiste'
                         drop a b
                         return
                        end
x=a
y=b
/* da posizione vettoriale a posizione scalare */
Pos=(x-1)*maxcol+y
select
      when Pos=6 then residential1=1
      when Pos=7 then residential2=1
      when Pos=45 then regeneration=1
      otherwise nop
  end
call Scenario(Pos)
frase=''
drop a b
return

/*-------------------------*/
/*        VAR              */
/*-------------------------*/
Var:
  select
     when nome='1' then do
                  say 'pannello_letto =' || og_num.7.2
                  say 'residential1   =' || residential1
                  say 'residential2   =' || residential2
                  say 'giornale_letto =' || og_num.9.2
                  say 'Body_Bank      =' || Body_Bank
         end
     when nome='2' then do
                  say 'regeneration   =' || regeneration
                  say 'dialer_loaded  =' || og_num.2.3
                  say 'hack_1_disp    =' || hack_1_disp
                  say 'hack_2_disp    =' || hack_2_disp
                  say 'hack_3_disp    =' || hack_3_disp
                  say 'first_attack   =' || first_attack
                  say 'second_attack  =' || second_attack
                  say 'third_attack   =' || third_attack
         end
         otherwise nop
  end
return

/*-------------------------*/
/*    GAME PROGRESS        */
/*-------------------------*/
GameProgress:
 if punteggio.3=0 & regeneration & og_num.1.1 & og_num.8.3 then do
                                            hack_1_disp=1 
                                            say '==========================='
                                            say 'Ora sei pronto per entrare nel cyberspazio. L''hacking di primo livello e'' ora disponibile.'
                                            say '==========================='
                                            punteggio.3=15
                                          end
 if punteggio.4=0 &first_attack & og_num.3.3 then do
                                    hack_2_disp=1
                                    say '==========================='
                                    say 'Ora sei pronto per entrare nel cyberspazio 3D. L''hacking di secondo livello e'' ora disponibile.'
                                    say '==========================='
                                    punteggio.4=10
                                   end
if punteggio.5=0 & second_attack & og_num.4.3 then do
                                    say '==========================='
                                    say 'Network XXIII e'' ora accessibile.'
                                    say '==========================='
                                    punteggio.5=10
                                    Situazione.6.55=''
                                    Situazione.7.55='NORD SUD UP DOWN'
                                   end
if punteggio.6=0 & third_attack & og_num.12.3 then do
                                    say '==========================='
                                    say 'Il Quarto Piano di Network XXIII e'' ora accessibile.'
                                    say '==========================='
                                    punteggio.6=10
                                    Situazione.7.40='NORD SUD EST OVEST'
                                   end
return

/*-------------------------*/
/*    SIDE QUESTS          */
/*-------------------------*/
SideQuest:
   if quest1=0 & og_num.9.2 & Body_Bank then
                            do
                              say '==========================='
                              say 'Side Quest 1 completata!'
                              say '==========================='
                              quest1=10
                              punteggio.1=quest1
                            end
   if quest2=0 & og_num.7.2 & residential1 & residential2 then
                            do
                              say '==========================='
                              say 'Side Quest 2 completata!'
                              say '==========================='
                              quest2=10
                              punteggio.2=quest2
                            end
return

/*---------------------------------------------------*/
/* Routine Livelli - descrizione locazioni di gioco) */
/*---------------------------------------------------*/
/* Ogni stanza o situazione e' descritta da un testo */
/* di 7 righe. Quando necessario, la penultima riga  */
/* descrive una creatura o un oggetto. Uccisa la     */
/* creatura o rimosso l'oggetto e' necessario che    */
/* tale riga venga rimossa per non dare informazioni */
/* false. L'ultima riga, invece, elenca le direzioni */
/* non consentite per la navigazione delle stanze.   */
/* Locazioni non utilizzate nella matrice non sono   */
/* elencate nel database. Es: Situazione.x.1 non c'e'*/
/*---------------------------------------------------*/
Livelli:

/* definisci situazioni */
/*  Game over    */
Situazione.1.1='descrizione luogo '
Situazione.2.1='descrizione situazione.'
Situazione.3.1=''
Situazione.4.1=''
Situazione.5.1=''
Situazione.6.1='               **** GAME OVER ****'

/*  Panthers cove    */
Situazione.1.2='Panthers cove. '
Situazione.2.2='Le pantere sono un gruppo di crackers che vivono ai margini della societa''.'
Situazione.3.2='Sono fortemente politicizzati e il loro scopo e'', come spesso accade,'
Situazione.4.2='mettere in crisi il sistema. Nonostante non condividiate gli stessi ideali,'
Situazione.5.2='rispettano la tua etica.Non avrai aiuti diretti se non sotto forma di software.'
Situazione.6.2='Al momento e'' disponibile un war DIALER.'
Situazione.7.2='NORD EST OVEST UP DOWN'

/*  Bassifondi    */
Situazione.1.3='Bassifondi della citta''. '
Situazione.2.3='Da questa posizione si va verso i bassifondi della citta''. La debole luce emanata'
Situazione.3.3='dai lampioni rivela nient''altro che cumuli di tecnospazzatura. Stampanti, periferiche'
Situazione.4.3='varie e computer di ogni tipo (in prevalenza PC Winzoz) quasi bloccano il passaggio.'
Situazione.5.3='Sospetti inoltre che qualche derelitto abbia eletto questo posto a sua dimora, '
Situazione.6.3='pertanto ritieni inutile (e forse anche pericoloso) proseguire.'
Situazione.7.3='NORD EST OVEST UP DOWN'

/*  Body Bank    */
Situazione.1.4='Body Bank. '
Situazione.2.4='Sei all''interno della "Banca". I corpi portati qui vengono di norma usati come "parti'
Situazione.3.4='di ricambio". Il brutto e'' che in questa societa'' non e'' necessario essere morti per'
Situazione.4.4='finire qui! A volte e'' un luogo usato dalla Yakuza per far sparire personaggi scomodi.'
Situazione.5.4='Su uno dei tavoli da autopsia e'' sdraiato un uomo dall''aspetto familiare.'
Situazione.6.4='Al suo alluce e'' attaccata una TARGHETTA.'
Situazione.7.4='NORD EST OVEST UP DOWN'

/*  Residential 1    */
Situazione.1.6='Zona Residenziale - settore 1. '
Situazione.2.6='L''interno dell''abitazione rivela uno scenario orribile. Il cadavere di un uomo e'''
Situazione.3.6='riverso sulla poltrona nel salotto; a terra un lago di sangue ormai rappreso.'
Situazione.4.6='La testa non c''e'' piu'', esplosa come un melone. Le pareti sono imbrattate di'
Situazione.5.6='sangue. La televisione è accesa e sintonizzata su NETWORK XXIII. Al momento, come'
Situazione.6.6='spesso accade, sta trasmettendo pubblicita'' ossessiva e martellante.'
Situazione.7.6='NORD OVEST UP DOWN'

/*  Residential 2    */
Situazione.1.7='Zona Residenziale - settore 2. '
Situazione.2.7='L''interno della casa e'' abbastanza spoglio. A parte un grande divano la stanza e'''
Situazione.3.7='occupata da un grosso televisore a LED collegato ad un potente impianto stereo.'
Situazione.4.7='Sul divano e'' seduta una coppia che sembra non reagire a nessuno stimolo.'
Situazione.5.7='Sembrano ipnotizzati. Stanno guardando NETWORK XXIII che al momento sta trasmettendo' 
Situazione.6.7='pubblicita''.'
Situazione.7.7='NORD EST UP DOWN'

/*  Game won    */
Situazione.1.8='              **** CONGRATULAZIONI ****'
Situazione.2.8='Sei riuscito a sopravvivere e a svelare il segreto del BlipVert Project.' 
Situazione.3.8='Premi QUIT quando vuoi uscire dal gioco. Altrimenti buona navigazione all''interno'
Situazione.4.8='delle locazioni del gioco.'
Situazione.5.8='L''avventura continua sulla stazione orbitante STRAYLIGHT.'
Situazione.6.8='Resta sintonizzato per data di uscita ed ulteriori novita''.'

/*  Inizio vicolo    */
/* rimuover riga 6 quando necessario */
Situazione.1.9='Vicoli di Chiba City - settore nord ovest '
Situazione.2.9='Il vicolo e'' sporco e maleodorante. A terra puoi vedere tecnospazzatura'
Situazione.3.9='e scatoloni di cartone. I barboni li usano per ripararsi dal freddo della notte.'
Situazione.4.9='Verso EST hai accesso al sistema stradale di Chiba City (settore nord), mentre'
Situazione.5.9='verso SUD puoi tornare nel retro dell''Arcade.' 
Situazione.6.9='Un titolo sulla prima pagina di un GIORNALE  attira la tua attenzione.'
Situazione.7.9='NORD OVEST UP DOWN'

/*  Strada    */
Situazione.1.10='Strade di Chiba City - settore nord '
Situazione.2.10='Le strade del  settore nord confinano con i bassifondi e la zona residenziale.'
Situazione.3.10='Da questa posizione ad OVEST puoi vedere un vicolo, mentre a NORD si trova'
Situazione.4.10='la sede delle Pantere. La strada procede verso EST. A SUD puoi vedere un edificio,'
Situazione.5.10='ma l''entrata e'' sul lato opposto.' 
Situazione.6.10=''
Situazione.7.10='SUD UP DOWN'

/*  Strada    */
Situazione.1.11='Strade di Chiba City - settore nord '
Situazione.2.11='Ti trovi al centro di un grosso incrocio stradale ben illuminato.'
Situazione.3.11='La strada si dipana verso EST, OVEST e SUD in una fitta rete.'
Situazione.4.11='Verso NORD si va invece verso i bassifondi della citta''.'
Situazione.5.11='' 
Situazione.6.11=''
Situazione.7.11='UP DOWN'

/*  Strada    */
Situazione.1.12='Strade di Chiba City - settore nord '
Situazione.2.12='Questo tronco di strada e'' ben illuminato sul lato SUD, che costituisce'
Situazione.3.12='la zona finanziaria della citta''. Direttamente a SUD si trova infatti la'
Situazione.4.12='FIRST ORBITAL BANK. Verso NORD invece puoi vedere la BODY BANK.'
Situazione.5.12='La strada prosegue ininterrotta verso EST e verso OVEST' 
Situazione.6.12=''
Situazione.7.12='UP DOWN'

/*  Ponte su Strada    */
Situazione.1.13='Strade di Chiba City - settore nord '
Situazione.2.13='Questo tronco di strada e'' costituito da un ponte, sotto il quale'
Situazione.3.13='scorre un fiume inquinato dall''aspetto limaccioso. Nonostante questo, orde'
Situazione.4.13='di derelitti abitano stabilmente sulle sue sponde.'
Situazione.5.13='La strada prosegue ininterrotta verso EST e verso OVEST' 
Situazione.6.13=''
Situazione.7.13='NORD SUD UP DOWN'

/*  Strada    */
Situazione.1.14='Strade di Chiba City - settore nord '
Situazione.2.14='Verso NORD la strada conduce al primo settore della zona residenziale. A SUD puoi'
Situazione.3.14='invece vedere la BANK OF ZURICH, ma l''ingresso non e'' su questo lato. Hai sentito'
Situazione.4.14='dire che l''interno custodisce qualcosa di estremamente prezioso, ma non hai idea'
Situazione.5.14='di cosa sia. Inoltre, non hai un conto corrente qui. Le tue "transazioni" finiscono' 
Situazione.6.14='di solito alle Cayman. La strada prosegue ininterrotta verso EST e verso OVEST.'
Situazione.7.14='UP DOWN'

/*  Strada    */
Situazione.1.15='Strade di Chiba City - settore nord '
Situazione.2.15='Verso NORD la strada conduce al secondo settore della zona'
Situazione.3.15='residenziale. Ad EST si trova l''ingresso della stazione ferroviaria'
Situazione.4.15='che conduce allo Spazioporto.'
Situazione.5.15='La strada prosegue ininterrotta verso SUD e verso OVEST' 
Situazione.6.15=''
Situazione.7.15='UP DOWN'

/*  Train Station    */
Situazione.1.16='Stazione ferroviaria'
Situazione.2.16='Sei all''interno della stazione che collega la citta'' allo spazioporto.'
Situazione.3.16='Poiche'' i voli sono sospesi la biglietteria e'' chiusa e nessun treno e'' sui binari.'
Situazione.4.16='Non sarebbe male una piccola vacanza sulla Stazione Orbitante "Straylight"!'
Situazione.5.16='Al momento pero'', andare nello spazio non servirebbe a nulla.'
Situazione.6.16='Verso OVEST ritorni in strada.'
Situazione.7.16='NORD EST SUD UP DOWN'

/*  Arcade backyard    */
Situazione.1.17='Retrobottega dell''Arcade'
Situazione.2.17='Ti trovi nel vicolo alle spalle dell''arcade. Qui ci sono solo'
Situazione.3.17='casse di bottiglie dei vari liquori venduti all''interno.'
Situazione.4.17='Le bottiglie sono tutte vuote. Oltre a questo puoi vedere'
Situazione.5.17='dei bidoni colmi di spazzatura. Ad EST rientri nel locale.'
Situazione.6.17='Il vicolo prosegue verso NORD.'
Situazione.7.17='OVEST SUD UP DOWN'

/*  Arcade    */
Situazione.1.18='Arcade - interno del locale'
Situazione.2.18='Questo e'' il tuo locale preferito, dove hai incontrato la tua ex-ragazza e dove i'
Situazione.3.18='migliori hackers della zona si scambiano software e trucchi vari. Spesso si vendono'
Situazione.4.18='anche droghe in grado di migliorare la risposta neurale nel cyberspazio. Ora pero'''
Situazione.5.18='il locale e'' semivuoto. Una coppia di ragazzini sta giocando all''ultima versione di '
Situazione.6.18='"Ace Combat". Verso OVEST esci nel retrobottega, verso SUD ritorni in strada.'
Situazione.7.18='NORD EST UP DOWN'

/*  Strada    */
Situazione.1.19='Strade di Chiba City - settore ovest'
Situazione.2.19='Un normale tratto di strada del settore ovest della citta''.'
Situazione.3.19='A ovest puoi vedere l''Arcade e ad est la First Orbital Bank.'
Situazione.4.19='Nessuna delle due destinazioni e'' raggiungibile da questa posizione.'
Situazione.5.19='La strada prosegue verso NORD e verso SUD.'
Situazione.6.19=''
Situazione.7.19='OVEST EST UP DOWN'

/*  First Orbital Bank    */
Situazione.1.20='Interno della First Orbital Bank'
Situazione.2.20='La banca e'' di proprieta'' della famiglia Tessier-Ashpool, che in modo piu'''
Situazione.3.20='o meno lecito ha costruito negli anni un impero economico. Il loro potere e'''
Situazione.4.20='ormai difficilmente arrestabile. Si dice che Lord Ashpool, ormai molto vecchio,'
Situazione.5.20='stia artificialmente prolungando la sua vita sulla stazione orbitante Straylight.'
Situazione.6.20='Al momento non sembra esserci niente di utile qui. Verso NORD ritorni in strada.'
Situazione.7.20='OVEST EST SUD UP DOWN'

/*  Bank of Zurich   */
Situazione.1.22='Interno della Bank of Zurich'
Situazione.2.22='Contrariamente alle tue aspettative, una dipendente ti viene incontro non appena'
Situazione.3.22='si accorge della tua presenza. Ti dice di aver ricevuto un messaggio su una casella'
Situazione.4.22='e-mail cifrata che diceva di consegnarti il FLATLINE. Per quanto ne sai, si tratta'
Situazione.5.22='di qualcosa che contiene la mente di uno degli hacker piu'' esperti mai esistito.'
Situazione.6.22='La ragazza ha in mano una scatola metallica interfacciabile al tuo DECK.'
Situazione.7.22='OVEST NORD SUD UP DOWN'

/*  Strada    */
Situazione.1.23='Strade di Chiba City - settore est'
Situazione.2.23='Un normale tratto di strada del settore est della citta''.'
Situazione.3.23='A OVEST puoi vedere la BANK OF ZURICH e ad EST l''ingresso della SENSO/NET.'
Situazione.4.23='La strada e'' pulita e ben illuminata e prosegue verso NORD e verso SUD.'
Situazione.5.23=''
Situazione.6.23=''
Situazione.7.23='UP DOWN'

/*  SENSO/NET    */
Situazione.1.24='Interno della SENSO/NET'
Situazione.2.24='L''atrio della SENSO/NET ricorda la hall di un grande centro commerciale.'
Situazione.3.24='Panchine, fontane e alberi a medio fusto allietano l''ambiente.'
Situazione.4.24='In realta'' sottosuolo e piani superiori brulicano di server dati e uffici'
Situazione.5.24='vari. '
Situazione.6.24='I sistemi di sicurezza sono al massimo.'
Situazione.7.24='NORD SUD EST UP DOWN'

/*  CHATSUBO BAR    */
Situazione.1.25='Chiba City - Chatsubo Bar'
Situazione.2.25='In questo bar si trova di solito la peggior feccia dello Sprawl. Per gli affari'
Situazione.3.25='poco leciti che vengono spesso conclusi qui, puoi trovarci anche delinquenti comuni'
Situazione.4.25='ma il posto e'' il regno dei cacciatori di dati. Perche'' sei qui se il cyberspace'
Situazione.5.25='ti e'' ora precluso?. Mentre stai per pagare il conto ti accorgi che in tasca'
Situazione.6.25='hai 50 crediti e un biglietto del negozio di Shin.'
Situazione.7.25='NORD SUD OVEST UP DOWN'

/*  Strada    */
Situazione.1.26='Strade di Chiba City - settore ovest'
Situazione.2.26='Un normale tratto di strada del settore ovest della citta''.'
Situazione.3.26='A OVEST c''e'' l''entrata del bar, a SUD il "Pawn Shop" di Shin (anche se l''entrata'
Situazione.4.26='sembra essere sull''altro lato), mentre a NORD si entra nella sala giochi.'
Situazione.5.26='La strada prosegue verso EST dove, in lontananza, puoi vedere un negozio.'
Situazione.6.26='Davanti al negozio e'' parcheggiata un''auto della Tactical Police.'
Situazione.7.26='SUD UP DOWN'

/*  Strada    */
Situazione.1.27='Strade di Chiba City - settore ovest'
Situazione.2.27='Sei al centro di un normale incrocio a T, sporco e poco illuminato come il resto del'
Situazione.3.27='quartiere. L''unico posto "interessante" e'' il "Dunkin Donuts" ad EST. In tutte le altre'
Situazione.4.27='direzioni non si vedono altro che tratti di strada come questa.'
Situazione.5.27='Forse e'' il caso di mangiare qualcosa.'
Situazione.6.27=''
Situazione.7.27='UP DOWN'

/*  Dunkin Donuts    */
Situazione.1.28='Dunkin Donuts'
Situazione.2.28='Sei all''interno della pasticceria. Ad uno dei tavoli puoi vedere una'
Situazione.3.28='coppia di poliziotti intenti a bere caffe'' e divorare ciambelle. Probabilmente'
Situazione.4.28='l''auto della polizia nel parcheggio e'' la loro.'
Situazione.5.28='Sulla parete vicino a te c''e'' un TERMINALE con un accesso diretto al sistema '
Situazione.6.28='informatico della polizia.'
Situazione.7.28='NORD SUD EST UP DOWN'

/*  Tactical Police Station    */
/* rimuovere riga 6 dopo la lettura */
Situazione.1.29='Stazione della Polizia Tattica'
Situazione.2.29='L''ambiente appare molto congestionato, e tutti sembrano avere molto da fare.'
Situazione.3.29='Ovunque ci sono poliziotti intenti a lavorare ad un terminale o ad interrogare'
Situazione.4.29='qualcuno e nessuno sta badando a te. '
Situazione.5.29='Alle pareti sono appese schede segnaletiche e comunicazioni varie.'
Situazione.6.29='Il PANNELLO alla tua sinistra attira la tua attenzione.'
Situazione.7.29='NORD SUD OVEST UP DOWN'

/*  Strada    */
Situazione.1.30='Strade di Chiba City - settore est'
Situazione.2.30='Sei vicino al centro nevralgico della citta''. A OVEST puoi vedere l''ingresso'
Situazione.3.30='della stazione della Polizia, a NORD la BANK OF ZURICH (anche se l''ingresso '
Situazione.4.30='non e'' qui), a SUD si prosegue per il distretto tecnologico, mentre a EST puoi'
Situazione.5.30='scorgere in lontananza il grattacielo di NETWORK XXIII. La vista è imponente.'
Situazione.6.30='L''ingresso deve trovarsi molto piu'' a sud.'
Situazione.7.30='NORD UP DOWN'

/*  Strada    */
Situazione.1.31='Strade di Chiba City - settore est'
Situazione.2.31='Ti trovi su uno spiazzo sopraelevato che ti permette una vista sulla citta''.'
Situazione.3.31='Le uniche direzioni consentite sono OVEST e NORD, dove confluiscono altrettante'
Situazione.4.31='strade. In lontananza scorgi il grattacielo di NETWORK XXIII. '
Situazione.5.31='Piu'' a sud, invece, si vede la sede della "Cray Computing".'
Situazione.6.31='Forse lavorano insieme.'
Situazione.7.31='SUD EST UP DOWN'

/*  Network XXII    */
Situazione.1.32='Network XXII - quarto piano'
Situazione.2.32='Quello che vedi qui e'' totalmente diverso da come lo avevi immaginato. Credevi, come'
Situazione.3.32='tutti, di trovare l''equivalente di una sfarzosa reggia dove il Presidente del Network'
Situazione.4.32='vivesse con il suo consiglio di amministrazione come paradossali nuovi nobili in una'
Situazione.5.32='Versailles hi-tech. La stanza, immacolata, e'' invece completamente vuota.'
Situazione.6.32='Al centro, da un piedistallo cromato, spunta un JACK di collegamento.'
Situazione.7.32='NORD SUD EST OVEST UP'

/*   Shin's Pawn Shop   */
Situazione.1.34='Banco dei pegni di Shin'
Situazione.2.34='Nei fumi dell''alcool ricordi che un tempo possedevi un cyberpace DECK.'
Situazione.3.34='Shin e'' un faccendiere che, tra le altre cosa, contrabbanda software pirata.'
Situazione.4.34='Spesso si possono fare buoni affari, anche se altrettanto spesso si rivelano'
Situazione.5.34='pericolosi. Il software pirata, infatti, ha quasi sempre un''origine militare.'
Situazione.6.34='In una delle vetrine puoi vedere il tuo DECK "Ono-Sendai", modello UXB 7000.'
Situazione.7.34='NORD SUD OVEST UP DOWN'

/*  Downtown ovest    */
Situazione.1.35='Downtown Ovest, dove ti trovi adesso, congiunge la parte malfamata della citta'''
Situazione.2.35='con il distretto tecnologico. Ad OVEST puoi vedere l''ingresso del negozio di Shin,'
Situazione.3.35='mentre in tutte le altre direzioni ci sono solo strade di collegamento. '
Situazione.4.35='In particolare, il lungo viale che corre verso EST porta al distretto tecnologico.'
Situazione.5.35='Verso SUD, invece, si trovano hotel e ristoranti.'
Situazione.6.35='Ti ricordi che "abiti" al CHEAP HOTEL. '
Situazione.7.35='UP DOWN'

/*  Downtown est    */
Situazione.1.36='Downtown Est e'' un viale che scorre tra due blocchi di edifici.'
Situazione.2.36='La strada in se'' e'' percorribile solo verso EST o verso OVEST, essendo'
Situazione.3.36='delimitata a nord dalla sede della Polizia Tattica e a sud dal distretto'
Situazione.4.36='tecnologico. Nessuno degli edifici ha pero'' degli ingressi accessibili da qui.'
Situazione.5.36=''
Situazione.6.36=''
Situazione.7.36='NORD SUD EST OVEST UP DOWN'

/*  Strada    */
Situazione.1.37='Strade di Chiba - settore centrale'
Situazione.2.37='Verso OVEST puoi vedere Downtown, mentre ad EST si finisce in un incrocio a T'
Situazione.3.37='che porta alla sede della CRAY COMPUTING.'
Situazione.4.37=''
Situazione.5.37=''
Situazione.6.37=''
Situazione.7.37='NORD SUD UP DOWN'

/*  Strada    */
Situazione.1.38='Strade di Chiba - settore centrale'
Situazione.2.38='In questo incrocio a T confluiscono da OVEST la strada che porta a Downtown'
Situazione.3.38='e quella che, provenendo dalla "Bank of Zurich" a NORD, porta alla sede di'
Situazione.4.38='Network XXIII, situata molto piu'' a SUD. A EST, invece, c''e'' l''ingresso'
Situazione.5.38='della "Cray Computing".'
Situazione.6.38=''
Situazione.7.38='UP DOWN'

/*  Cray Computing    */
/* collegandosi al jack inizia il secondo attacco informatico. il primo deve essere gia' stato fatto */
Situazione.1.39='Sei all''interno della Cray, leader mondiale nelle applicazioni di calcolo distribuito.'
Situazione.2.39='Da sempre i suoi ingenieri producono computer superveloci in grado di operare in multitasking'
Situazione.3.39='e multiutenza. La potenza di calcolo di questi computer li rende estremamente indicati per le'
Situazione.4.39='applicazioni "3D". Sospetti che, entrando nel cyberspace da qui, sia possibile fare di tutto.'
Situazione.5.39='Con il tuo DECK potenziato, puoi entrare in rete senza destare sospetti.'
Situazione.6.39='Alla tua destra c''e'' un JACK di collegamento per gli ospiti in attesa.'
Situazione.7.39='NORD SUD EST UP DOWN'

/*  Network XXII    */
/* in questo caso la 6^ riga e' vuota. aggiungere la seguente quando si verificano le condizioni */
/* Situazione.6.40='Guardando meglio, noti che un pannello e'' ora aperto.Dall'interno esce un JACK.' */
/* inoltre il quarto piano non e' inizialmente accessibile. rimuovere UP al momento opportuno*/
Situazione.1.40='Network XXII - terzo piano'
Situazione.2.40='L''ambiente, sebbene occupi l''intero piano, risulta molto angusto a causa del fatto che'
Situazione.3.40='una buona meta'' del locale e'' occupata da archivi, mentre l''altra e'' sede della batteria'
Situazione.4.40='di server della corporazione. Tutti i server sono pesantemente schermati e apparentemente'
Situazione.5.40='senza possibilta'' di interfacciarsi con l''esterno. La temperatura ambiente e'' molto bassa.'
Situazione.6.40=''
Situazione.7.40='NORD SUD EST OVEST UP'

/*  Cheap Hotel    */
/* rimuovere riga 6 */
Situazione.1.42='Cheap Hotel - stanza personale'
Situazione.2.42='Sei all''interno della stanza che e'' quasi diventata la tua casa. Dal disordine che c''e'''
Situazione.3.42='in giro sembra che la tua vita attuale non sia proprio serena.'
Situazione.4.42='Un tempo eri il re delle scorribande in rete. Lo spazio virtuale era sede di gioco e di lavoro'
Situazione.5.42='ma la Yakuza, per ritorsione, ti ha iniettato una neurotossina. Ora navigare e'' impossibile.'
Situazione.6.42='Sul tavolo al centro della stanza c''e'' un DISCHETTO. L''etichetta dice: HackLev1.'
Situazione.7.42='NORD SUD OVEST UP DOWN'

/*  Strada    */
Situazione.1.43='La strada antistante al "Cheap Hotel" rappresenta il confine sud della parte poco'
Situazione.2.43='raccomandabile della citta''. Il "Cheap Hotel" tutto sommato e'' un posto decente.'
Situazione.3.43='L''illuminazione stradale va via via aumentando, vista la vicinanza con il distretto'
Situazione.4.43='tecnologico. Verso OVEST puoi vedere l''ingresso dell''Hotel, mentre ad EST si stagliano'
Situazione.5.43='le ampie finestre del CENTRO RICERCA E SVILUPPO DI AMIGA. La strada continua verso SUD e'
Situazione.6.43='verso NORD, dove si ricongiunge con Downtown Ovest.'
Situazione.7.43='EST UP DOWN'

/*  Amiga Research & Development    */
/* collegandosi al jack inizia il primo attacco informatico. il secondo non può essere fatto */
/* prima di questo. Togliere riga 6 ad attacco effettuato */
Situazione.1.44='L''interno dell''Amiga R&D e'' uno spettacolo mai visto. Non sospettavi che una societa'''
Situazione.2.44='cosi'' quotata ed all''avanguardia all''interno avesse l''aspetto dell''homebrew club di'
Situazione.3.44='Steve Wozniak. Credevi che quella parte fosse preistoria o dominio del Low Life.'
Situazione.4.44='Le pareti brulicano di schemi a blocchi raffiguranti la componentistica principale dei'
Situazione.5.44='computer Amiga. Cavi di rete spuntano ovunque. Tavoli e pavimento sono cosparsi di appunti.'
Situazione.6.44='Da un angolo spunta un JACK di collegamento standard.'
Situazione.7.44='NORD EST OVEST UP DOWN'

/*  Maas Biolabs    */
Situazione.1.45='L''interno dei laboratori e'' brulicante di vita, sia naturale che artificiale.'
Situazione.2.45='Una dottoressa in camice bianco si avvicina a te ammiccando. Forse e'' una vecchia'
Situazione.3.45='"conoscenza", ma al momento non ricordi gran che. In effetti non sei nemmeno sicuro'
Situazione.4.45='che non sia un cyborg. Dopo aver usato un body scanner, ti spiega che hai subito un grave'
Situazione.5.45='danno neurale. Come ricompensa per i servigi prestati (?!?) il danno viene riparato subito e gratis.'
Situazione.6.45='Ora il cyberspace e'' accessibile, sempre che tu abbia gli strumenti giusti.'
Situazione.7.45='NORD EST OVEST UP DOWN'

/*  Strada    */
Situazione.1.46='Strade di Chiba - settore sud'
Situazione.2.46='Questa porzione di strada collega la parte est del settore tecnologico con il resto'
Situazione.3.46='della citta''. Direttamente ad EST si trova l''ingresso della "Hosaka Computing",'
Situazione.4.46='azienda leader nel campo delle INTERFACCE NEURALI, mentre ad ovest puoi vedere il'
Situazione.5.46='retro dei "Maas Biolabs". La strada prosegue verso NORD e verso SUD.'
Situazione.6.46='In lontananza si intravede il mare.'
Situazione.7.46='OVEST UP DOWN'

/*  Hosaka Computing    */
/* rimuovere riga 6 dopo aver preso l'interfaccia */
Situazione.1.47='Sei all''interno della piu'' importante ditta costruttrice di periferiche per la'
Situazione.2.47='navigazione nel cyberpace. Quelle che usavi un tempo, le vecchie Ono-Sendai, non'
Situazione.3.47='erano altrettanto affidabili. Con queste nuove apparecchiature non avresti virtualmente'
Situazione.4.47='nessun limite. Mentre stai pensando a cosa fare, un impiegato sbadato si accende una'
Situazione.5.47='sigaretta facendo intervenire il sistema antincendio. Nella confusione ti avvicini alla sua scrivania.'
Situazione.6.47='Sulla scrivania puoi vedere una INTERFACCIA neurale nuova di zecca.'
Situazione.7.47='NORD EST SUD UP DOWN'

/*  Network XXII    */
/* in questo caso la 6^ riga e' vuota. aggiungere la seguente quando si verificano le condizioni */
/* Situazione.6.48='Noti che una cassetta di sicurezza e'' ora aperta. Al suo interno c''e'' una SCHEDA wi-fi.' */
Situazione.1.48='Network XXII - secondo piano'
Situazione.2.48='L''intero piano e'' utilizzato per il monitoraggio delle trasmissioni e per il controllo'
Situazione.3.48='continuo ed incrociato dei sistemi di sicurezza. Le attivita'', estremamente ripetitive,'
Situazione.4.48='vengono portate avanti da robot senzienti che, sicuramente a causa dei tuoi hacking precedenti,'
Situazione.5.48='non fanno caso a te. Puoi cosi'' muoverti liberamente tra un sistema e l''altro.'
Situazione.6.48=''
Situazione.7.48='NORD SUD EST OVEST'

/*  Musabari Grill    */
Situazione.1.50='L''interno del Musabari si rivela caldo ed accogliente. Nonostante sia quasi pieno,'
Situazione.2.50='non e'' particolarmente rumoroso. Gli avventori sono tutti molto riservati, almeno'
Situazione.3.50='a quest''ora della giornata. Verso il retro del locale il ristorante e'' diviso in'
Situazione.4.50='salette private, probabilmente usate per incontri di livello particolarmente elevato.'
Situazione.5.50='Attraverso un fusuma aperto, scorgi delle persone che hanno tutta l''aria di essere'
Situazione.6.50='degli Yakuza. Non hai altro da fare qui.'
Situazione.7.50='NORD SUD OVEST UP DOWN'

/*  Strada    */
Situazione.1.51='Strade di Chiba - settore sud'
Situazione.2.51='In questo punto della citta'' la strada, provenendo da NORD, piega decisamente a EST'
Situazione.3.51='in una curva a gomito. Verso OVEST invece puoi vedere il "Musabari Grill", un locale'
Situazione.4.51='molto frequentato, specialmente dei tecnici e dai progettisti che lavorano qui'
Situazione.5.51='nel distretto. Il personale del Musabari tende ad essere molto discreto, vista'
Situazione.6.51='l''importanza della clientela ed il livello di sicurezza e'' molto elevato per essere un ristorante.'
Situazione.7.51='SUD UP DOWN'

/*  Strada    */
Situazione.1.52='Strade di Chiba - settore sud'
Situazione.2.52='La strada, pulita e ben illuminata, passa proprio davanti al cancello dell''AMIGA R&D.'
Situazione.3.52='Si dice che Network XXIII faccia largo uso della tecnologia Amiga per creare gli effetti'
Situazione.4.52='speciali dei suoi programmi televisivi. Uno dei suoi piu'' noti showman e'' Max Headroom.'
Situazione.5.52='Il piano terra dell''edificio e'' un piccolo museo tecnologico aperto al pubblico.'
Situazione.6.52='Forse si possono ricavare informazioni utili.'
Situazione.7.52='SUD UP DOWN'

/*  Strada    */
Situazione.1.53='Strade di Chiba - settore sud'
Situazione.2.53='L''insegna "MAAS BIOLABS" campeggia direttamente a NORD della tua posizione.'
Situazione.3.53='L''intenso blu elettrico dei suoi neon e'' visibile anche di giorno. Sei gia'''
Situazione.4.53='stato in questi laboratori una volta per rigenerare il tuo sangue inquinato dalle'
Situazione.5.53='sostanze usate per migliorare le prestazioni nel cyberpazio.'
Situazione.6.53='Forse potrebbero aiutarti anche questa volta.'
Situazione.7.53='SUD UP DOWN'

/*  Strada    */
Situazione.1.54='Network XXIII plaza'
Situazione.2.54='Sei arrivato in un''ampia piazza dalla quale, proseguendo verso EST, si arriva al'
Situazione.3.54='palazzo di Network XXIII. Verso NORD e verso OVEST la strada prosegue rispettivamente'
Situazione.4.54='verso la "HOSAKA COMPUTING" e verso i laboratori "MAAS".'
Situazione.5.54='La piazza costituisce un punto di ritrovo per tecnici del luogo e semplici visitatori'
Situazione.6.54='dal momento che, a sud, si affaccia direttamente sul mare. La vista e'' splendida.'
Situazione.7.54='SUD UP DOWN'

/*  Strada    */
/* ATTENZIONE- da qui si entra nell'ultimo stage. Pertanto se tutte le precondizioni non sono vere,*/
/* il giocatore non potra' entrare nel palazzo. Quando Cage avra' tutti gli strumenti necessari,   */
/* rimuovere la riga 6 e modificare la riga 7 per consentire l'ingresso.                           */
Situazione.1.55='Network XXIII Street'
Situazione.2.55='Sei davanti all''ingresso dell''emittente televisiva piu'' potente della citta''.'
Situazione.3.55='Come sai, e'' anche la sede di una delle piu'' potenti (e forse corrotte) zaibatsu'
Situazione.4.55='della nostra societa''. Cosa succede al suo interno?'
Situazione.5.55='Quale segreto celano i suoi immensi uffici disposti su QUATTRO piani?'
Situazione.6.55='La porta e'' chiusa: ora non puoi entrare. Forse manca qualcosa.'
Situazione.7.55='NORD SUD EST UP DOWN'

/*  Network XXII    */
Situazione.1.56='Network XXII - hall - primo piano'
Situazione.2.56='Sei finalmente all''interno della megacorporazione. Equipaggiamento come sei, puoi'
Situazione.3.56='ora collegarti ai suoi server e forse spuntarla senza che ti friggano il cervello.'
Situazione.4.56='Ma dove saranno? Ti ricordi che una volta hai visto un film dove un computer chiamava'
Situazione.5.56='una serie di numeri di telefono e annotava la risposta se veniva da un modem.'
Situazione.6.56='Sulla scrivania vicino a te vedi un ELENCO telefonico interno e un ACCESSO per il tuo DIALER.'
Situazione.7.56='NORD SUD EST DOWN'
return
